import sys, os
from pip.runner import run
from pkgutil import get_data
from tempfile import TemporaryDirectory

if __name__ == '__main__':
    cert_data = get_data('pip._vendor.requests', 'cacert.pem')
    with TemporaryDirectory() as td:
        tempname = os.path.join(td, 'cacert.pem')
        with open(tempname, 'wb') as tf:
            tf.write(cert_data)
        os.environ['REQUESTS_CA_BUNDLE'] = tempname
        exit = run()
    if exit:
        sys.exit(exit)
